Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2019 11:59:20 +0300

> From: Andrey Orst <[email-masked]>
> Date: Thu, 17 Oct 2019 11:52:46 +0300
> Cc: [email-masked]
> 
> > Word processors.
> 
> Emacs is so much more than a word processor.
> 
> The thing is, that all your thoughts are seem correct if
> we're speaking about text. Though,in Emacs there are many
> packages that are used not for text editing, but for
> interactions with different tools, and such change breaks
> well established user interface. Examples were already
> provided: Helm, Magit, Ediff

I don't think I understand your point.  All the packages you mentioned
display text.

> I do agree that this change is aimed to provide native way
> of extending highlighting beyond EOL without relying on
> hacks. And I think it's a good intention.I just disagree
> with how it was forced in a way that it broke visuals of
> many external packages that provide UI elements via
> highlighting.

I still don't see why "broke visuals" is what it did.  I happen to
think that the new appearance is not worse, and sometimes better than
the old one.

And this feature was discussed at length before implementing, so it
isn't like it came out of the blue.

How about if you try using this feature for a week or so, and see if
you become accustomed to it nonetheless?